%global momorel 1
%global m17n_lib_ver 1.5.4
%global scim_ver 1.4.9
%global scim_major_version 1.4.0

Summary: M17N Input Method Engine for SCIM
Name: scim-m17n
Version: 0.2.3
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://www.scim-im.org/projects/imengines
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: %{name}-no-M17N-prefix.patch
Requires: scim >= %{scim_ver}
Requires: m17n-lib >= %{m17n_lib_ver}
BuildRequires: scim-devel >= %{scim_ver}
BuildRequires: m17n-lib-devel >= %{m17n_lib_ver}

%description
scim-m17n provides a SCIM IMEngine for m17n-lib, which allows
input of many languages using the input table maps from m17n-db.

%prep
%setup -q

%patch0 -p1 -b .name-prefix

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/m17n.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/m17n.so
%{_datadir}/scim/icons/scim-m17n.png

%changelog
* Sun May 31 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.3-1m)
- version 0.2.3
- remove gcc43.patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.2-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- initial package for Momonga Linux
- import no-M17N-prefix.patch from Fedora
